Nuxa
Api referenceAdminApiAdminResellersResellerid

PATCH /api/admin/resellers/{resellerId}

PATCH
/api/admin/resellers/{resellerId}

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

resellerId*string

The resellerId parameter

Request Body

application/json

action*string
Value in"approve" | "deny" | "suspend" | "unsuspend" | "update"
commissionRate?string
canSetPricing?boolean
reviewNotes?string

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.nuxa.ai/api/admin/resellers/string" \  -H "Content-Type: application/json" \  -d '{    "action": "approve"  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}